<ion-header>
  <ion-toolbar>
    <ion-title>Invoices</ion-title>
    <ion-buttons left>
      <button ion-button menuToggle>
        <ion-icon name="menu"></ion-icon>
      </button>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item *ngFor="let customerItem of customer">
      <ion-item
        text-wrap
        detail>
          <h2>
            <ion-icon name="person" color="primary"></ion-icon>
             {{ customerItem.name }}
          </h2>
          <h3>
            <ion-icon name="pin" color="danger"></ion-icon>
              {{ customerItem.address }}
          </h3>
          <span>
            <ion-icon name="call"></ion-icon>
              ({{ customerItem.phone }})
          </span>
      </ion-item>
    </ion-item>
    <ion-item *ngFor="let prodItem of product; let i = index">
      <ion-item
        text-wrap
        detail>
          <h2>
            <ion-icon
              name="ios-basket-outline"
              color="primary">
            </ion-icon>
             {{ prodItem.name }}
          </h2>
          <h3>
            <ion-icon
              name="logo-usd"
              color="danger">
            </ion-icon>
              {{ prodItem.currency }} ({{ prodItem.price  * prodItem.quantity | currency:''}})
          </h3>
          <ion-col>
            <button
              (click)="decrementProduct(prodItem)"
              ion-button>
              <ion-icon name="remove"></ion-icon>
            </button>
            <span>{{ prodItem.quantity }}</span>
            <button
              (click)="incrementProduct(prodItem)"
              ion-button>
              <ion-icon name="add"></ion-icon>
            </button>
          </ion-col>
      </ion-item>
    </ion-item>
  </ion-list>
  <ion-fab left bottom>
    <button ion-fab color="primary">
      <ion-icon name="arrow-dropup"></ion-icon>
    </button>
    <ion-fab-list side="top">
      <button (click)="onCreateInvoice()" ion-fab block color="secondary">
        <ion-icon name="person"></ion-icon>
      </button>
      <button (click)="onCreateProduct()" ion-fab block color="secondary">
        <ion-icon name="ios-basket"></ion-icon>
      </button>
    </ion-fab-list>
  </ion-fab>
</ion-content>
